package com.ssm.manage.entity;

import javax.persistence.Table;
import java.util.Date;
import java.io.Serializable;

/**
 * 充值类别(TopUpPromotion)实体类
 *
 * @author makejava
 * @since 2021-12-24 11:48:55
 */
@Table(name = "top_up_promotion")
public class TopUpPromotion implements Serializable {
    private static final long serialVersionUID = 669542323496744094L;
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 编码
     */
    private String promotionNum;
    /**
     * 促销活动名称
     */
    private String promotionName;
    /**
     * 门店编码
     */
    private Long storeId;
    /**
     * 提成  小于1表示比率，大于等于1表示固定金额
     */
    private Double typeRatio;
    /**
     * 门店名称
     */
    private String storeName;
    /**
     * 名称
     */
    private String rechargePromotionName;
    /**
     * 享受优惠
     */
    private Double discount;
    /**
     * 状态0:添加/1:修改/2:送审/3:回收/4:审核/5:反审核/6:关闭
     */
    private Integer state;
    /**
     * 类别 1:折扣卡类型/0:赠送卡类型
     */
    private Integer type;
    /**
     * 类别充值金额
     */
    private Double rechargeMoney;
    /**
     * 赠送卡赠送金额
     */
    private Double giftMoney;
    /**
     * 建立人（用户名称（用户编码）），来源于员工档案
     */
    private String founderStaff;
    /**
     * 建立日期
     */
    private Date founderDatetime;
    /**
     * 最近修改人（用户名称（用户编码）），来源于员工档案
     */
    private String modifyBy;
    /**
     * 最近修改时间
     */
    private Date modifyDatetime;
    /**
     * 有效期 单位:月
     */
    private Integer validTime;
    /**
     * 赠送金额名称
     */
    private String discountFreeName;
    /**
     * 赠送金额使用折扣
     */
    private Double discountFreeAmount;
    /**
     * 开始日期
     */
    private Date startDates;
    /**
     * 结束日期
     */
    private Date stopDates;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPromotionNum() {
        return promotionNum;
    }

    public void setPromotionNum(String promotionNum) {
        this.promotionNum = promotionNum;
    }

    public String getPromotionName() {
        return promotionName;
    }

    public void setPromotionName(String promotionName) {
        this.promotionName = promotionName;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Double getTypeRatio() {
        return typeRatio;
    }

    public void setTypeRatio(Double typeRatio) {
        this.typeRatio = typeRatio;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getRechargePromotionName() {
        return rechargePromotionName;
    }

    public void setRechargePromotionName(String rechargePromotionName) {
        this.rechargePromotionName = rechargePromotionName;
    }

    public Double getDiscount() {
        return discount;
    }

    public void setDiscount(Double discount) {
        this.discount = discount;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Double getRechargeMoney() {
        return rechargeMoney;
    }

    public void setRechargeMoney(Double rechargeMoney) {
        this.rechargeMoney = rechargeMoney;
    }

    public Double getGiftMoney() {
        return giftMoney;
    }

    public void setGiftMoney(Double giftMoney) {
        this.giftMoney = giftMoney;
    }

    public String getFounderStaff() {
        return founderStaff;
    }

    public void setFounderStaff(String founderStaff) {
        this.founderStaff = founderStaff;
    }

    public Date getFounderDatetime() {
        return founderDatetime;
    }

    public void setFounderDatetime(Date founderDatetime) {
        this.founderDatetime = founderDatetime;
    }

    public String getModifyBy() {
        return modifyBy;
    }

    public void setModifyBy(String modifyBy) {
        this.modifyBy = modifyBy;
    }

    public Date getModifyDatetime() {
        return modifyDatetime;
    }

    public void setModifyDatetime(Date modifyDatetime) {
        this.modifyDatetime = modifyDatetime;
    }

    public Integer getValidTime() {
        return validTime;
    }

    public void setValidTime(Integer validTime) {
        this.validTime = validTime;
    }

    public String getDiscountFreeName() {
        return discountFreeName;
    }

    public void setDiscountFreeName(String discountFreeName) {
        this.discountFreeName = discountFreeName;
    }

    public Double getDiscountFreeAmount() {
        return discountFreeAmount;
    }

    public void setDiscountFreeAmount(Double discountFreeAmount) {
        this.discountFreeAmount = discountFreeAmount;
    }

    public Date getStartDates() {
        return startDates;
    }

    public void setStartDates(Date startDates) {
        this.startDates = startDates;
    }

    public Date getStopDates() {
        return stopDates;
    }

    public void setStopDates(Date stopDates) {
        this.stopDates = stopDates;
    }

}
